loci.formats.in

## Class CellVoyagerReader.ChannelInfo

- java.lang.Object
- - loci.formats.in.CellVoyagerReader.ChannelInfo

- Enclosing class:
    CellVoyagerReader

      private static final class CellVoyagerReader.ChannelInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `channelNumber`
    `ome.xml.model.primitives.Color` | `color`
    `int` | `height`
    `boolean` | `isEnabled`
    `java.lang.String` | `name`
    `int` | `tileHeight`
    `int` | `tileWidth`
    `double` | `unmagnifiedPixelHeight`
    `double` | `unmagnifiedPixelWidth`
    `int` | `width`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `ChannelInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### color

          public ome.xml.model.primitives.Color color

    - #### height

          public int height

    - #### width

          public int width

    - #### isEnabled

          public boolean isEnabled

    - #### unmagnifiedPixelHeight

          public double unmagnifiedPixelHeight

    - #### unmagnifiedPixelWidth

          public double unmagnifiedPixelWidth

    - #### tileHeight

          public int tileHeight

    - #### tileWidth

          public int tileWidth

    - #### channelNumber

          public int channelNumber

  - ### Constructor Detail

    - #### ChannelInfo

          private ChannelInfo()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2026 Open Microscopy Environment